﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UBotPlugin;
using System.Windows;
using System.Windows.Controls;

namespace BrowserReplacementCommands
{
    /// <summary>
    /// This is the definition for the Picture Chooser interface.
    /// This is used to browse pictures and drag them into UBot Studio.
    /// </summary>
    class PictureChooserInterface : IUserInterface
    {
        public Type ConnectedPluginCommandType
        {
            // Since this interface is not connected to a command this is left null.
            // If the interface is connected to a certain command, return the typeof(YourPluginCommand) that it is connected to.
            get { return null; }
        }

        public UIElement GetUserInterface(IUserInterfaceCallback callback)
        {
            var chooser = new PictureChooser();
            chooser.Callback = callback;
            return chooser;
        }

        public string Name
        {
            // This is the name that will show up in the header of the interface tab
            get { return "Picture Chooser"; }
        }
    }
}
