﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UBotPlugin;

namespace BrowserReplacementCommands
{
    /// <summary>
    /// This command is an example of a command that changes the active user interface. It will change the interface to Picture Chooser when run.
    /// </summary>
    class ShowPictureChooserCommand : IUBotCommand
    {
        public string Category
        {
            // This is what category our command is categorized as. 
            // If you choose something not already in the toolbox list, a new category will be created.
            get { return "Flow Commands"; }
        }

        public string CommandName
        {
            // The name of our node in UBot Studio.
            get { return "show picture chooser"; }
        }

        public void Execute(IUBotStudio ubotStudio, Dictionary<string, string> parameters)
        {
            // We use the Name of the interface "Picture Chooser" to designate which interface we want to change to.
            ubotStudio.ChangeUserInterface("Picture Chooser");
        }

        public bool IsContainer
        {
            // This command does not have any nested commands inside of it, so it is not a container command.
            get { return false; }
        }

        public IEnumerable<UBotParameterDefinition> ParameterDefinitions
        {
            // Since we have no parameters we return an empty list.
            get { return new List<UBotParameterDefinition>(); }
        }

        public UBotVersion UBotVersion
        {
            get { return UBotVersion.Standard; }
        }
    }
}
